"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.warnLog = exports.basicLog = exports.infoLog = exports.errorLog = exports.successLog = void 0;
const chalk_1 = __importDefault(require("chalk"));
const RESET = '\x1b[0m';
const LOG_PREFIX = chalk_1.default.cyanBright(`[VUE CLASS STORES]`);
function successLog(...args) {
    console.log(chalk_1.default.greenBright(' ✓'), args.map(a => chalk_1.default.dim(a)).join(' '), RESET);
}
exports.successLog = successLog;
function errorLog(...args) {
    console.log(chalk_1.default.redBright(' ✗'), args.map(a => chalk_1.default.dim(a)).join(' '), RESET);
}
exports.errorLog = errorLog;
function infoLog(...args) {
    console.log(chalk_1.default.blueBright(' i'), args.map(a => chalk_1.default.dim(a)).join(' '), RESET);
}
exports.infoLog = infoLog;
function basicLog(...args) {
    console.log(args.map(a => chalk_1.default.dim(a)).join(' '), RESET);
}
exports.basicLog = basicLog;
function warnLog(...args) {
    const segments = [/*LOG_PREFIX,*/ chalk_1.default.yellowBright(' !')].join('');
    console.log(segments, args.map(a => chalk_1.default.dim(a)).join(' '));
}
exports.warnLog = warnLog;
//# sourceMappingURL=Logger.js.map